import request from 'utils/request'

/** *** 工程大屏 *****/

//  工程大屏--获取设备状态数据
export function getDeviceStatusDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreen/queryDeviceDistributionData',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取设备状态列表
export function getDeviceStatusListOfEngineering (object) {
  return request({
    url: `/datashow/engineScreenPenetrate/getDevicesByParam/${object.pageSize}/${object.pageIndex}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  工程大屏--获取设备类型数据
export function getDeviceTypeDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreen/queryDeviceTypeDistributionDataByParam',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取基础数据
export function getBaseInfoDataOfEngineering (object) {
  return request({
    url: '/datashow/baseInfo/queryGCDPBaseCountInfo',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取基础数据比率
export function getBaseInfoRatioOfEngineering (object) {
  return request({
    url: '/datashow/engineScreen/queryCoreIndicators',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取基础图表数据
export function getBaseInfoChartsDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreenPenetrate/getDeviceNumList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取基础数据比率图表数据
export function getBaseInfoRatioChartsDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreenPenetrate/getTaskFinishRate',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  工程大屏--获取巡检任务数据
export function getPatrolTaskDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreen/queryPatrolData',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取巡检任务列表
export function getTaskListOfEngineering (object) {
  return request({
    url: `/datashow/engineScreenPenetrate/getRuleTaskList`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  工程大屏--获取预警信息数据
export function getWarningInfoDataOfEngineering (object) {
  return request({
    url: '/datashow/deviceMaintenanceRoutingInspection/getDeviceInspectionWarningInfo',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取设备大检任务数据
export function getDeviceTaskDataOfEngineering (object) {
  return request({
    url: '/datashow/deviceMaintenanceRoutingInspection/getDeviceInspectionWarningInfo',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取设备大检任务列表
export function getDeviceTaskListOfEngineering (object) {
  return request({
    url: `/datashow/engineScreenPenetrate/getDeviceInspectionWarning`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取维保任务数据
export function getMaintenanceTaskDataOfEngineering (object) {
  return request({
    url: '/datashow/engineScreen/queryCurYearMaintenTaskDataByParam',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取项目数据
export function getProjectDataOfEngineering (object) {
  return request({
    url: '/landcrm/rest/projectInfo/projectDetail',
    method: 'post',
    data: object,
    type: 'FORM'
  })
}
