import request from 'utils/request'

/** *** 工程大屏 *****/

//  工程大屏--获取设备状态数据
export function getDeviceStatusDataOfProjectScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getDeviceIndicatorByState',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取设备类型数据
export function getDeviceTypeDataOfProjectScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getDeviceIndicatorBySys',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取基础数据
export function getBaseDataOfProjectScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getDeviceIndicatorInfo2',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  工程大屏--获取巡检任务、维保任务数据
export function getTaskDataOfProjectScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getPatrolTaskIndicator',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
