import request from 'utils/request'

/** *** 品质大屏 *****/

//  品质大屏--获取安防巡逻概览、品质核查概览、巡逻任务状态数据
export function getInfoOfQualityScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getPatrolTaskIndicator',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  品质大屏--获取安防巡逻完成率、安防巡逻及时率、品质核查完成率数据
export function getDataOfQualityScreen (object) {
  return request({
    url: '/datashow/standard/patrol/getPatrolTaskIndicatorByMonths',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  品质大屏--获取问题跟踪数据
export function getQuestionDataOfQualityScreen (object) {
  return request({
    url: '/datashow/questionTrack/queryQuestionInfoByProjectId',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
