const matchSize = {
  data () {
    return {
      sizeRatio: 1
    }
  },
  mounted () {
    this.resizePage()
    window.addEventListener('resize', this.resizePage)
  },
  methods: {
    //  监听
    resizePage () {
      this.sizeRatio = (window.innerHeight / 1080).toFixed(2)
      this.$nextTick(() => {
        this.resizeCharts()
      })
    },
    //  转换大小
    getMatchSize (size) {
      return this.sizeRatio * size + 'px'
    }
  }
}

export default matchSize
